%% FUNCIÓN DEMODULACION DATOS QPSK
%<demQPSK>

%PARÁMETROS DE RETORNO:
%datosOut: Secuencia recuperada

%PARÁMETROS DE INGRESO:
%qpskRx_BG: Vector recibido sin bandas de guarda

function datosOut=demQPSK(qpskRx_BG)

vDemQPSK=pskdemod(qpskRx_BG,4,pi/4,'gray');

secR=zeros(1,length(vDemQPSK)*2);

for i=1:length(vDemQPSK)
    secR(2*i-1)=floor(vDemQPSK(i)/2);
    secR(2*i)=mod(vDemQPSK(i),2);
end
     datosOut=secR';

end

